ispell-et (1:20030606-29) unstable; urgency=medium

  * debian/control:
    - Fix salsa Vcs-* headers.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 16:42:10 +0200

ispell-et (1:20030606-28) unstable; urgency=medium

  * debian/control:
    - Update Vcs-* headers for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat version to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 Apr 2018 18:36:26 +0200

ispell-et (1:20030606-27) unstable; urgency=medium

  * debian/control::myspell-et: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 12:55:57 +0200

ispell-et (1:20030606-26) unstable; urgency=medium

  * debian/control:
    - Break possible hunspell-et and hyphen-et to avoid name collisions.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 15:39:23 +0200

ispell-et (1:20030606-25) unstable; urgency=medium

  * debian/rules: Do not pass timestamps to gzipped files.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Jul 2015 20:27:33 +0200

ispell-et (1:20030606-24) unstable; urgency=medium

  * debian/rules:
    - Build in reproducible and known to work LC_ALL=C language
      environment.
    - Add myself to copyright lines.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 30 Jun 2015 11:48:15 +0200

ispell-et (1:20030606-23) unstable; urgency=low

  * debian/control:
    - Make aspell-et "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 16:22:06 +0200

ispell-et (1:20030606-22) unstable; urgency=low

  * debian/rules: Improve et.cwl.gz building.
  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 15:11:58 +0200

ispell-et (1:20030606-21) unstable; urgency=low

  * debian/control:
    - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      + Deal with remove files in debhelper snippet.
    - Bump Standards Version. No changes required.
    - Add Vcs-Browser and Vcs-Git info for collab maint repo.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 17:06:16 +0200

ispell-et (1:20030606-20) unstable; urgency=low

  * debian/rules: Fix noise caused by words with dots during hash build.
  * debian/control: Remove Martin-Éric Racine from Uploaders.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Feb 2012 15:02:14 +0100

ispell-et (1:20030606-19) unstable; urgency=low

  * debian/control:
    - Add myself as uploader.
    - No need to version iestonian dependency on ispell, we use
      ispell-autobuildhash.
  * debian/iestonian.info-ispell: Revert to previous Language value and
    use Elanguage to fix displayed string (Closes: #657723).
    This may trigger a debconf question to go to previous value, but
    will make squeeze->wheezy upgrades smoother.
  * debian/myspell-et.links: Remove, only created symlinks from ancient
    myspell dir.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 31 Jan 2012 15:56:51 +0100

ispell-et (1:20030606-18) unstable; urgency=low

  * [aspell-et.dirs]: deleted;
    + usr/lib/aspell and usr/share/aspell are created by [aspell-et.install].
    + var/lib/aspell is handled by autobuildhash.
  * [iestonian.dirs]: deleted;
    + usr/lib/ispell is created by [iestonian.install].
  * [myspell-et.info-hunspell]: created rudimentary Hunspell support.
  * [debian/rules]: added installdeb-hunspell --package=myspell-$(DICT_LANG).
  * [debian/control]: updated myspell Provides for hunspell+hyphen.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 24 Oct 2011 13:24:45 +0300

ispell-et (1:20030606-17) unstable; urgency=low

  * Migrated to debhelper-7 build system:
    + Simplified [debian/rules] to use a single dh command with overrides.
    + Bumped the Build-Depends on debhelper to (>= 7.0.50~).
    + Dropped the Build-Depends on CDBS.
  * Migrated to source format 3.0 (quilt).
    + Build-Depends on dpkg-dev (>= 1.14.17~).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 13 Oct 2011 18:58:32 +0300

ispell-et (1:20030606-16) unstable; urgency=low

  * [debian/rules]: Removed hash building; obsoleted by ispell-autobuildhash.
  * [debian/control]: Dropped ispell and myspell-tools from Build-Depends.
    Upstream already ships a MySpell wordlist, so we don't need to build it,
    plus the ispell hash is generated at install time by ispell-autobuildhash.
    Thanks to Agustín Martín Domingo for these suggestions.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 05 Oct 2011 18:43:05 +0300

ispell-et (1:20030606-15) unstable; urgency=low

  * Migrated to auto-compat for aspell-autobuildhash and ispell-autobuildhash.
    + Requires dictionaries-common-dev (>= 1.11.2).
    + Removed obsolete debian/{aspell-ru,irussian}.{postinst,postrm} templates.
      Not needed when using autobuildhash.
  * Thanks to Agustín Martín Domingo for the HOWTO.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 04 Oct 2011 12:31:29 +0300

ispell-et (1:20030606-14) unstable; urgency=low

  * Lintian: W: removed myspell-et.postinst and myspell-et.postrm templates:
    Not used since LibreOffice/OpenOffice 3.0 and thus results in empty files.
  * Upgraded Standards-Version to 3.9.2 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 01 Oct 2011 16:11:03 +0300

ispell-et (1:20030606-13) unstable; urgency=low

  * Upgraded for ispell (>= 3.3.02) arch:any to arch:all (Closes: #623071).
  * Rebuild using the latest dictionaries-common-dev (Closes: #566806).
  * Updated my contact info in debian/[control|copyright|rules].
  * Declared debian/source/format.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 29 May 2011 23:14:04 +0300

ispell-et (1:20030606-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move dict to /usr/share/hunspell and add compat symlinks from
    /usr/share/myspell/dicts (closes: #541901)
  * move hyphenation pattern to /usr/share/hyphen and add compat symlink
    from /usr/share/myspell/dicts (closes: #541899)

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Oct 2009 00:01:18 +0200

ispell-et (1:20030606-12) unstable; urgency=low

  * Fixed Lintian errors:
    W: command-with-path-in-maintainer-script
    W: maintainer-script-ignores-errors
    I: description-possibly-contains-homepage
    I: unused-override
  * Upgraded Standards-Version to 3.8.0:
    + Moved the upstream URL from Description to Homepage field.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 04 May 2009 07:31:44 +0300

ispell-et (1:20030606-11) unstable; urgency=medium

  * No-Change upload to force rebuilding of arch:all package for issue
    #499236 due to bug #499271 on Build-Depends:myspell-tools. Affects
    All dictionaries generated from Ispell source using myspell-tools.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 13 Oct 2008 10:24:36 +0300

ispell-et (1:20030606-10) unstable; urgency=high

  * Reverted Hash-Name changes for ispell RC bug (Closes: #497381).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 06 Sep 2008 12:32:24 +0300

ispell-et (1:20030606-9) unstable; urgency=low

  * Fixed Hash-Name to use "et" instead of "estonian" (Closes: #496343).

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 28 Aug 2008 20:58:00 +0300

ispell-et (1:20030606-8) unstable; urgency=low

  * Removed the empty Linda override directory we forgot last time.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 06 Jul 2008 02:53:26 +0300

ispell-et (1:20030606-7) unstable; urgency=low

  * Removed Suggests:westonian since we will probably never provide it.
  * Dropped Build-Depends:libmyspell-dev(>= 1:3.1-16) alternative since
    it was replaced by myspell-tools starting with Lenny.
  * Removed the Linda override, now that she is gone.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 01 Jul 2008 11:40:12 +0300

ispell-et (1:20030606-6) unstable; urgency=low

  * Corrected aspell-et.info-aspell and iestonian.info-ispell to specify
    valid characters and make spelling work under Emacs again.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 26 Aug 2007 11:57:43 +0300

ispell-et (1:20030606-5) unstable; urgency=low

  * Added debian/watch file to monitor upstream releases.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 20 Jul 2007 23:37:45 +0300

ispell-et (1:20030606-4) unstable; urgency=low

  * Bumped debhelper Build-Depends to (>= 5) and debian/compat to match.
  * Added Lintian override against usr-lib-in-arch-all to aspell-et.
    (all Aspell dictionaries are packaged this way by design)

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 15 Jul 2007 19:03:42 +0300

ispell-et (1:20030606-3) unstable; urgency=low

  * Removed hunspell-tools from Build-Depends list of alternatives.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri,  1 Jun 2007 13:03:46 +0300

ispell-et (1:20030606-2) unstable; urgency=low

  * Fixed aspell-et.install to include et_affix.dat (Closes: #426847).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri,  1 Jun 2007 00:13:13 +0300

ispell-et (1:20030606-1) unstable; urgency=low

  * The "Upstream got around making a tarball" release:
    - Updated debian/rules to match upstream tarball topology.
    - Removed redundant LOEMIND.Debian and README.Debian.
    - Migrated to upstream tarball with Debian diffs.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 30 May 2007 17:45:54 +0300

ispell-et (20030606.5) unstable; urgency=low

  * Added Build-Depends alternatives to hunspell-tools | myspell-tools
    to fix FTBFS (Closes: #426533).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 29 May 2007 17:27:05 +0300

ispell-et (20030606.4) unstable; urgency=low

  * Modified debian/rules to strip MySpell word count when building
    Aspell dictionaries (Same as #386577).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 19 Sep 2006 20:33:53 +0300

ispell-et (20030606.3) unstable; urgency=low

  * Repackaged MySpell using upstream-generated files (Closes: #351023).
  * Added et.{dic,aff} -> et_EE.{dic,aff} symlinks (Closes: #373745).
  * Upgraded Standards-Version to 3.7.2 (no change required).
  * Added Estonian README contributed by Märt Laur.
  * Rephrased the package descriptions.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 27 Aug 2006 01:13:10 +0300

ispell-et (20030606.2) unstable; urgency=low

  * Upgraded myspell-et Suggests for OOo2, as suggested by Rene Engelhard.
  * Merged OOo hyphenation with myspell-et, as suggested by James Troup.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri,  6 Jan 2006 21:38:07 +0200

ispell-et (20030606.1) unstable; urgency=low

  * Initial release (Closes: #344707).
  * Created as native Debian package because upstream offers no tarball;
    standalone spellchecker files were downloaded as-is then packaged.
  * The major version number is the timestamp of the upstream files.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 24 Dec 2005 03:23:47 +0200
